Package opennlp.tools.namefind

## Class NameFinderSequenceValidator

- java.lang.Object
- - opennlp.tools.namefind.NameFinderSequenceValidator

- All Implemented Interfaces:
    `SequenceValidator<String>`

      public class NameFinderSequenceValidator
      extends Object
      implements SequenceValidator<String>

  This class is created by the `BioCodec`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameFinderSequenceValidator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `validSequence​(int i, String[] inputSequence, String[] outcomesSequence, String outcome)` | Determines whether a particular continuation of a sequence is valid.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameFinderSequenceValidator

          public NameFinderSequenceValidator()

  - ### Method Detail

    - #### validSequence

          public boolean validSequence​(int i,
                                       String[] inputSequence,
                                       String[] outcomesSequence,
                                       String outcome)

      Description copied from interface: `SequenceValidator`
      Determines whether a particular continuation of a sequence is valid. This is used to restrict invalid sequences such as those used in start/continue tag-based chunking or could be used to implement tag dictionary restrictions.
      Specified by:
        `validSequence` in interface `SequenceValidator<String>`
      Parameters:
        `i` - The index in the input sequence for which the new outcome is being proposed.
        `inputSequence` - The input sequence.
        `outcomesSequence` - The outcomes so far in this sequence.
        `outcome` - The next proposed outcome for the outcomes sequence.
      Returns:
        true is the sequence would still be valid with the new outcome, false otherwise.